/***************************/
/* GENERAL ELEMENTS STYLES */
/***************************/

.green-text {
	color: #41b6e6 !important;
}
.helper-text {
font-size: 0.8em;
}

.hidden {
	display: none;
}

.btn {
background: #41b6e6;
}

.btn:hover {
background: #63cc84;
}

#cost-estimator-wrapper .dropdown-trigger {
background: #41b6e6;
}

#cost-estimator-wrapper .dropdown-content a, #cost-estimator-wrapper .dropdown-content li > span {
color: #41b6e6;
}

/* TABLE STYLING */

.cost-estimator-header {
cursor: pointer;
}
#main-estimator, #main-estimator input {
font-size: 0.8em;
}

#main-estimator .main-view {
	width: 72%; 
	float: left;
}
#main-estimator .sidebar {
	width: 25%;
	float: left;
}

#main-estimator h2 {
font-weight: normal;
font-size: 2.2em;
line-height: 1;
padding: 0;
margin: 20px 0;
}

#main-estimator th {
background: transparent;
color: #717c84;
border: 0;
font-size: 1em;
font-weight: bold;
padding: 5px;
text-align: center;
}

#main-estimator thead tr {
border: 0;
}
#main-estimator thead tr:nth-child(2) {
border-bottom: 1px solid;
}

.dataTable .odd {
background: #f6f6f6;
}

.dataTable td {
padding: 10px 0;
}

#lookup-view-wrapper {
	margin-right: 20px;
}
#lookup-view-wrapper #lookup-table_wrapper {
margin-top: 70px;
}

/* Table Search/Filters */
#lookup-table_filter {
	background: #41b6e6;
	height: 50px;
	text-align: right;
}

#lookup-table_paginate {
	height: 50px;
	text-align: right;
	position: relative;
	float: right;
	top:10px;
	width:100%;
}

#lookup-table_filter label {
	color: #fff;
	font-size: 1em;
}

#lookup-table_filter input {
	background: #fff;
	width: 200px;
	height: 30px;
	margin: 10px;
	border-radius: 4px;
}

/* Filters */
#search-header input {
	border: 1px solid #ccc;
	border-radius: 4px;
	padding: 8px;
	height: 100%;
	color: #ccc;
	font-size: 0.9em;
	width: 80%;
}

/* Estimator table specific styling */

/* materialize hides selects by default */
#estimator-table_wrapper {
	margin-top: -5px;
	
}

#estimator-table_length, #lookup-table_length {
	display: inline-block;
	vertical-align: top;
	margin-top: 10px;
}

#estimator-table_length .dropdown-trigger, #lookup-table_length .dropdown-trigger {
	border-radius: 4px;
	background: white;
	padding: 0 2px;
	height: 32px;
	margin-left: 30px;
	margin-top: -25px;
	width: 110px;
	font-size: 1.2em;
}

/*
#estimator-table_length select { 
	width: 50px;
	padding: 2px;
	height: 32px;
	margin: 4px 0;
	border-radius: 4px;
}
*/

#estimator-table_wrapper .ui-widget-header, #lookup-table_wrapper .bottom {
	background: #41b6e6;
	border: 0;
	border-radius: 0;
	color: #fff;
	padding: 6px 8px;
	font-weight: normal;
	height: 50px;
}
#estimator-table_wrapper .ui-widget-header label, #lookup-table_wrapper .bottom label  {
	color: #fff;
	font-size: 0.9em;
}

#estimator-table_filter {
	width: 50%;
	display: inline-block;
	text-align: right;
}
#estimator-table_filter input {
	width: 60%;
	font-size: 1.1em;
	padding: 0px 4px;
	height: 30px;
	margin: 3px 0;
	border: 1px solid #fff;
	background: #fff;
	border-radius: 4px;
}
#estimator-table_wrapper #estimator-table thead th.col7 {
	width: 60px !important; /* fixes so options buttons doesn't add additional row */
}

#estimator-table_paginate {
	text-align: right;
	margin-top: -20px;
}
#estimator-table_info {
	margin-top: 10px;
}

/* VIEW SWITCH SIZES */

.main-view table.dataTable  { width: 100% !important; }
.main-view table.dataTable th:first-child { width: 10%; }
.main-view table.dataTable th:nth-child(2) { width: 50% !important; }
.main-view table.dataTable th:nth-child(3) { width: 13% !important; }
.main-view table.dataTable th:nth-child(4) { width: 1% !important; }
.main-view table.dataTable th:nth-child(5) { width: 20% !important; }

.main-view #estimator-table.dataTable th:first-child { width: 0%; }
.main-view #estimator-table.dataTable th:nth-child(2) { width: 10% !important; }
.main-view #estimator-table.dataTable th:nth-child(3) { width: 44% !important; }
.main-view #estimator-table.dataTable th:nth-child(4) { width: 6% !important; }
.main-view #estimator-table.dataTable th:nth-child(5) { width: 10% !important; }
.main-view #estimator-table.dataTable th:nth-child(6) { width: 6% !important; }
.main-view #estimator-table.dataTable th:nth-child(7) { width: 12% !important; }

.main-view #estimator-table.dataTable td:nth-child(3) { text-align: left !important; }

.sidebar table.dataTable  { width: 100% !important; }
.sidebar table.dataTable th { width: 20%; }
.sidebar table.dataTable td { padding: 2px 4px; vertical-align: middle; }

/* DataTables - Expanded View */
	.table-details { padding-left: 50px; margin-bottom: 20px;}
	.table-details h2 { margin: 0; padding: 0; }    
	.table-details img { width:250px; }    
	.dimensions-table { width: 100%;}

	.dimensions-table tbody td { border-right: 1px solid #ccc; text-align: center; }
	.expanded-view-panel { margin-bottom: 20px; padding-bottom: 20px;border-bottom: 1px solid #ccc; }
	.expanded-view-panel .part-notes,
	.expanded-view-panel .user-notes { background: #efefef; padding: 20px; margin-left: 10px;}
	#estimator-table .expanded-view-panel h2, #lookup-table .expanded-view-panel h2 {
			cursor: default;
			font-weight: bold;
			text-transform: inherit;
			font-size: 20px;
	}

/* DataTables - Sidebar Table Headers */
	
	#estimator-view-wrapper.sidebar h2 span {margin: 11px 10px 0 0;}

/* DataTables - Parts Look Up: styling & pagination fix */
	
	#lookup-view-wrapper h2 { margin-bottom: 55px; }
	#lookup-view-wrapper.sidebar .bottom { padding-bottom: 20px; }
	#lookup-table_paginate { margin-top: 10px; }
	#lookup-view-wrapper.sidebar .col3 { display: none; }
	#lookup-view-wrapper.sidebar .col4 { display: none; }
	#lookup-view-wrapper.sidebar .col5 { display: none; }
	/*#lookup-view-wrapper.sidebar .col7 { display: none; }*/



/* DataTables - highlight selected row */
	
	table.dataTable tr.selected-row td, table.dataTable tr.selected-row td.sorting_1 {        
			color: #10b042;   
	background: #d1f0db;
	}

	.selected-row .add-part { background-color: #ddd; border-color: #bbb;}
	.selected-row .add-part span { opacity: 0.3; }
	/* DataTables - Estimation hide Part Size in Sidebar */
	#estimator-view-wrapper.sidebar .col3 {
		display: none !important;
	}
	/* DataTables - Editable Qty column */
	#estimator-table > tbody > tr > td:nth-child(6) {              
	border: 1px solid #aaa;
	background: #fff;
	padding: 0;
	}
#estimator-table > tbody > tr > td:nth-child(6) input {
	text-align: center;		
}	
#estimator-table > tbody > tr > td:nth-child(6).grey-over { background: #ddd; color: #aaa; } /* greys out other editable fields while one is active. */		

	/* Estimation Total */
	
	#price-total-wrapper {
			border: 1px solid #000;
			margin: 20px 0;
			padding: 10px;
			font-size: 14px;
			font-weight: Bold;
	}
	#price-total, #labor-estimate {        
			float: right;   
	}




/* QUICK ADD */

#estimator-quick-add .input-field {
display: inline-block;
height: 20px;
margin: 0;
}

#estimator-quick-add input {
border: 1px solid #ccc;
border-radius: 4px;
height: 100%;
}

#estimator-quick-add #quick-add-header {
font-weight: bold;
font-size: 1.3em;
line-height: 23px;
padding: 0;
}

#estimator-quick-add #quick-add-part-number { width: 70px; margin-left: 2px; padding: 1px; text-align: center; font-size: 0.9em; }
#estimator-quick-add #quick-add-quantity { width: 45px; display: inline-block; margin-left: 2px; padding: 1px; font-size: 12px; text-align: center; }

#estimator-quick-add #quick-add-submit { border: 1px solid #41b6e6; background: #41b6e6; padding: 5px; }
#estimator-quick-add #quick-add-submit { color: #fff; }
#estimator-quick-add #quick-add-submit:hover { background: #fff; color: #41b6e6; cursor: pointer; }


/* OPTIONS BOX - PRICING ADJUSTMENTS */
#options-box {
	background: #efefef;
	margin: 20px 0;
	padding: 0 20px 20px;
	box-sizing: border-box;
	float: right;
}
#options-box h2 { font-size: 14px; }
#options-box input[type=radio], .options-radio input[type=radio], .tool-rate input[type=radio] { display: none; }

#multiplier-div h6 {
float: left;
margin-right: 20px;
}
#multiplier {
border: 0;
background: #fff;
border-radius: 4px;
padding: 2px 10px;
width: 40px;
height: 30px;
float: right;
margin-top: 10px;
}

#multiplier-div p {
float: left;
font-size: 0.9em;
margin-top: 0;
}
/* SUMMARY BOX */
#summary-cost {
border: 1px solid #41b6e6;
border-radius: 4px;
padding: 10px;
margin-bottom: 10px;
}

#summary-cost ul {
list-style: none;
text-align: right;
margin: 0;
}

#summary-cost ul li {
display: inline-block;
margin-right: 20px;
width: 22%;
text-align: left;	
}

#summary-cost ul li span {
font-size: 22px;
text-transform: uppercase;
}

/* LABOR */

#labor-calculations h6 {
font-weight: bold;
}


/* BUTTONS */

/* Top Clear Buttons */
#top-options {
	text-align: right;
}
#clear-edata-div {
	display: inline-block;
	margin: 10px 0 20px;
}

#estimator-table td:last-child button,
#lookup-table td:last-child button {
	width: 17px;
	padding: 0;
	height: 20px;
	color: #333333;
	text-shadow: none;
	background-color: #f5f5f5;
	background-image: -moz-linear-gradient(top, #ffffff, #e6e6e6);
	background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#ffffff), to(#e6e6e6));
	background-image: -webkit-linear-gradient(top, #ffffff, #e6e6e6);
	background-image: -o-linear-gradient(top, #ffffff, #e6e6e6);
	background-image: linear-gradient(to bottom, #ffffff, #e6e6e6);
	background: -ms-linear-gradient(top, #ffffff 0%,#e6e6e6 100%);
	background-repeat: repeat-x;
	filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffffff', endColorstr='#e6e6e6', GradientType=0);
	border-color: #e6e6e6 #e6e6e6 #bfbfbf;
	border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25);
	*background-color: #e6e6e6;
	/* Darken IE7 buttons by default so they stand out more given they won't have borders */
	
	filter: progid:DXImageTransform.Microsoft.gradient(enabled = false);
	border: 1px solid #bbbbbb;
	*border: 0;
	border-bottom-color: #a2a2a2;
	-webkit-border-radius: 4px;
	-moz-border-radius: 4px;
	border-radius: 4px;
	-webkit-box-shadow: inset 0 1px 0 rgba(255,255,255,.2), 0 1px 2px rgba(0,0,0,.05);
	-moz-box-shadow: inset 0 1px 0 rgba(255,255,255,.2), 0 1px 2px rgba(0,0,0,.05);
	box-shadow: inset 0 1px 0 rgba(255,255,255,.2), 0 1px 2px rgba(0,0,0,.05);
}

#estimator-table td:last-child button:hover,
#lookup-table td:last-child button:hover {
	color: #333333;
	text-decoration: none;
	background-color: #e6e6e6;
	*background-color: #d9d9d9;
	/* Buttons in IE7 don't get borders, so darken on hover */
	
	background-position: 0 -15px;
	-webkit-transition: background-position 0.1s linear;
	-moz-transition: background-position 0.1s linear;
	-o-transition: background-position 0.1s linear;
	transition: background-position 0.1s linear;
}

/* DIALOG BOXES */

.ui-dialog {

border-radius: 10px;
border: 0;
padding: 0;
}

.ui-dialog .ui-dialog-titlebar {
background: #41b6e6;
color: #fff;
font-family: "PT Sans", Arial, Helvetica, sans-serif;
font-size: 18px;
border-radius: 0;
padding: 12px;
text-transform: uppercase;

}
.ui-dialog .ui-widget-content {
border: 0;
margin: 0;
padding: 20px 30px;
font-size: 0.9em;
line-height: 1.2;
font-family: "PT Sans", Arial, Helvetica, sans-serif;
}

.ui-dialog .ui-widget-content label {
font-size: 18px;
}

.ui-dialog .ui-widget-content input[type=text] {
background: #e7ffe9;
border-radius: 6px;
text-shadow: 0 0 4px #ddd;
}

.ui-dialog .ui-dialog-buttonpane button {
background: #41b6e6;
color: #fff;
border-radius: 0;
outline: none;
border: 0;	 
font-size: 14px;
font-weight: bold;
font-family: "PT Sans", Arial, Helvetica, sans-serif;
padding: 4px 10px;  
} .ui-dialog .ui-dialog-buttonpane button:hover {
color: #fff;
}
.ui-dialog .ui-dialog-titlebar button {
border: 0;
}


#csv-options form { margin-left: 25px;}

/* TOOLS */

.card-info {
margin-top: -50px;
color: #dadada;
}

.tool-item .card-info:hover {
cursor: pointer;
}

.tool-item .card-content {
padding: 10px;
}

.tool-item .card-tabs .tabs .tab > a {
color: rgba(112, 112, 112, .7);
}

.tool-item .card-tabs .tabs .tab > a:hover {
color: rgba(112, 112, 112, 1);
}

.tool-item .card-tabs .tabs .tab > a.active {
background-color: #41b6e6;
color: #fff;
}

.tool-item .card-tabs .tabs .indicator {
background-color: #707070;
}

.tool-hours, .tool-standard-rate {
font-size: 1.2em;
}

.tool-hours h6, .tool-standard-rate h6 {
font-size: 1em;
font-weight: bold;
}
.tool-hours-val, .tool-rate-val {
color: #41b6e6;
}

.tool-total {
font-weight: bold;
font-size: 1.4em;
text-align: right;
color: #41b6e6;
}



#total-cost-summary {
color: #41b6e6;
font-size: 2em;
text-align: right;
}

/* TOOL INFO BOXES */
.tool-info-company img {
	width: 80%;
}
.tool-info-images img {
	width: 100%;
}
.tool-info-images, .tool-info-company {
	margin-left: 20px;
	margin-top: 20px;
}

.tool-info-item, .tool-info-company-title {
	width: 150px;
	display: inline-block;
	margin-right: 10px;
	vertical-align: top;
}
.tool-info-item a h4, .tool-info-company-title h4 {		
	text-transform: uppercase;
	line-height: 1;
}.tool-info-company-title h4 {
	font-size: 24px;
	margin-bottom: 6px;
}.tool-info-item a h4 {
	font-weight: bold;
	font-size: 14px;	
}

.tool-info-item a, .tool-info-company-title a {
	color: #41b6e6;
	font-size: 13px;
}

.tool-info-details-wrap h2 {
	color: #41b6e6;
	font-size: 22px;
	text-transform: uppercase;
	margin-left: 20px;
	margin-top: 20px;
	padding-bottom: 0;
}


/* IMPORT/EXPORT TAB */

#import-export-estimate h6 {
text-transform: uppercase;
margin-bottom: 10px;
}
#import-export-estimate .card-panel {
padding-bottom: 20px;
}

/* Projects */

.manage-project-item button, .manage-project-desc {
	display: inline-block;
	vertical-align: top;
}

.manage-project-item button {
	margin-top: 12px;
	margin-right: 10px;
}

.manage-project-desc {
	width: 80%;
	font-size: 0.8em;
	line-height: 1.2;
}
#manage-project-list .btn {
	font-size: 11px;
	padding: 0px 10px;
}

	/* Project Share tabs */

	#manage-project-list .project-share-tab .tabs {
		background: none;
		border: 0;
	}

	#manage-project-list .project-share-tab .tab {
		border: 1px solid #707070;
		border-radius: 5px;
		background: #41b6e6;

	}

	#manage-project-list .project-share-tab .tab a:hover {
		color: #707070 !important;
		background: #e7ffe9;
	}

	#manage-project-list .project-share-tab .tab.active {
		background: #fff;
	}

	#manage-project-list .project-share-tab .tab a {
		color: #fff;
		margin: 0;
		padding: 0 !important;
	}

	#manage-project-list .project-share-tab .tab a:focus {
		background: #fff;
	}

	#manage-project-list .project-share-tab .tab.active a {
		color: #41b6e6;
	}

	#manage-project-list .project-share-tab .tab .ui-tabs-anchor {
		cursor: pointer;
	}
	#manage-project-list .project-share-tab .tab .ui-tabs-anchor:hover {
		color: #41b6e6;
	}

/* Text Import*/

#import-export-estimate textarea {
	height: 250px;
	border-bottom: 1px solid #41b6e6;
}

#import-button-wrap {
	text-align: right;
	margin: 0 10px;
}

#import-txt-btn {
	margin-top: 10px;
}

@media screen and (max-width: 768px) {
	#main-estimator .main-view {
			width: 100%; 
			float: none;
	}
	
	#main-estimator .sidebar {
			width: 100%;
			float: none;
	}
	
	#summary-cost ul li {
			display: block;
			margin-right: 0;
			width: 90%;
			text-align: left;
	}
}

@media screen and (max-width: 410px) {
	#lookup-table_filter {
			height: 60px;
	}
}

.alert {
border: 1px solid grey;
border-radius: 5px;
font-size: 0.9rem;
padding: 10px 20px;
}

.alert h4 {
font-size: 1.2rem;
font-weight: bold;

}

.alert-error {
background: #ffcdd2;
}

.alert button.close {
float: right;
position:  relative;
background: grey !important;
}

.alert-success{
background: #c8e6c9;
}

.ui-dialog-content {
width:fit-content !important;
box-shadow: none !important;
}

.ui-dialog-titlebar {
height: 66px !important;
}

.ui-button {
height: 38px !important;
}

#cost-estimator-wrapper .ui-dialog {
	//z-index: 100109;
}